<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TravelPeriodPriceType
 *
 * @ORM\Table(name="travel_period_price_type")
 * @ORM\Entity(repositoryClass="AppBundle\Entity\TravelPeriodPriceTypeRepository")
 */
class TravelPeriodPriceType
{
    /**
     * @var string
     *
     * @ORM\Column(name="name", type="string", length=255, nullable=true)
     */
    private $name;

    /**
     * @var string
     *
     * @ORM\Column(name="internal_name", type="string", length=255, nullable=true)
     */
    private $internalName;

    /**
     * @var string
     *
     * @ORM\Column(name="short", type="string", length=255, nullable=true)
     */
    private $short;

    /**
     * @var integer
     *
     * @ORM\Column(name="max", type="integer", nullable=true)
     */
    private $max;

    /**
     * @var integer
     *
     * @ORM\Column(name="min_adults", type="integer", nullable=true)
     */
    private $minAdults;

    /**
     * @var integer
     *
     * @ORM\Column(name="max_adults", type="integer", nullable=true)
     */
    private $maxAdults;

    /**
     * @var integer
     *
     * @ORM\Column(name="max_children", type="integer", nullable=true)
     */
    private $maxChildren;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;



    /**
     * Set name
     *
     * @param string $name
     *
     * @return TravelPeriodPriceType
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set internalName
     *
     * @param string $internalName
     *
     * @return TravelPeriodPriceType
     */
    public function setInternalName($internalName)
    {
        $this->internalName = $internalName;

        return $this;
    }

    /**
     * Get internalName
     *
     * @return string
     */
    public function getInternalName()
    {
        return $this->internalName;
    }

    /**
     * Set short
     *
     * @param string $short
     *
     * @return TravelPeriodPriceType
     */
    public function setShort($short)
    {
        $this->short = $short;

        return $this;
    }

    /**
     * Get short
     *
     * @return string
     */
    public function getShort()
    {
        return $this->short;
    }

    /**
     * Set max
     *
     * @param integer $max
     *
     * @return TravelPeriodPriceType
     */
    public function setMax($max)
    {
        $this->max = $max;

        return $this;
    }

    /**
     * Get max
     *
     * @return integer
     */
    public function getMax()
    {
        return $this->max;
    }

    /**
     * Set minAdults
     *
     * @param integer $minAdults
     *
     * @return TravelPeriodPriceType
     */
    public function setMinAdults($minAdults)
    {
        $this->minAdults = $minAdults;

        return $this;
    }

    /**
     * Get minAdults
     *
     * @return integer
     */
    public function getMinAdults()
    {
        return $this->minAdults;
    }

    /**
     * Set maxAdults
     *
     * @param integer $maxAdults
     *
     * @return TravelPeriodPriceType
     */
    public function setMaxAdults($maxAdults)
    {
        $this->maxAdults = $maxAdults;

        return $this;
    }

    /**
     * Get maxAdults
     *
     * @return integer
     */
    public function getMaxAdults()
    {
        return $this->maxAdults;
    }

    /**
     * Set maxChildren
     *
     * @param integer $maxChildren
     *
     * @return TravelPeriodPriceType
     */
    public function setMaxChildren($maxChildren)
    {
        $this->maxChildren = $maxChildren;

        return $this;
    }

    /**
     * Get maxChildren
     *
     * @return integer
     */
    public function getMaxChildren()
    {
        return $this->maxChildren;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }
}
